Go to the first, previous, next, last section, table of contents.

### `dp_dtop`

`dp_dtop(dpoly,vlist)`
  :: Converts a distributed polynomial into an ordinary polynomial.

return
  polynomial
dpoly
  distributed polynomial
vlist
  list

- This function converts a distributed polynomial into an ordinary polynomial according to a list of indeterminates vlist.
- vlist is such a list that its length coincides with the number of variables of dpoly.

    [53] T=dp_ptod((x+y+z)^2,[x,y]);
    (1)*<<2,0>>+(2)*<<1,1>>+(1)*<<0,2>>+(2*z)*<<1,0>>+(2*z)*<<0,1>>
    +(z^2)*<<0,0>>
    [54] P=dp_dtop(T,[a,b]);
    z^2+(2*a+2*b)*z+a^2+2*b*a+b^2

Go to the first, previous, next, last section, table of contents.